<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:15 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>VSLSwitch (org.eclipse.papyrus.marte.vsl 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VSLSwitch (org.eclipse.papyrus.marte.vsl 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VSLSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLResourceImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLXMLProcessor.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" target="_top">Frames</a></li>
<li><a href="VSLSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.vsl.vSL.util</div>
<h2 title="Class VSLSwitch" class="title">Class VSLSwitch&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.util.Switch&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.vsl.vSL.util.VSLSwitch&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">VSLSwitch&lt;T&gt;</span>
extends org.eclipse.emf.ecore.util.Switch&lt;T&gt;</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <code>doSwitch(object)</code> to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL"><code>VSLPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#modelPackage">modelPackage</a></span></code>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#VSLSwitch--">VSLSwitch</a></span>()</code>
<div class="block">Creates an instance of the switch.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseAdditiveExpression-org.eclipse.papyrus.marte.vsl.vSL.AdditiveExpression-">caseAdditiveExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AdditiveExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AdditiveExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Additive Expression</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseAndOrXorExpression-org.eclipse.papyrus.marte.vsl.vSL.AndOrXorExpression-">caseAndOrXorExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AndOrXorExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AndOrXorExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>And Or Xor Expression</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseBooleanLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.BooleanLiteralRule-">caseBooleanLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/BooleanLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">BooleanLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Boolean Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseCollectionOrTuple-org.eclipse.papyrus.marte.vsl.vSL.CollectionOrTuple-">caseCollectionOrTuple</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/CollectionOrTuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">CollectionOrTuple</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Collection Or Tuple</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseConditionalExpression-org.eclipse.papyrus.marte.vsl.vSL.ConditionalExpression-">caseConditionalExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ConditionalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ConditionalExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Conditional Expression</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseDataTypeName-org.eclipse.papyrus.marte.vsl.vSL.DataTypeName-">caseDataTypeName</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DataTypeName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DataTypeName</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Data Type Name</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseDateTimeLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.DateTimeLiteralRule-">caseDateTimeLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DateTimeLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DateTimeLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Date Time Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseDefaultLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.DefaultLiteralRule-">caseDefaultLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DefaultLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DefaultLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Default Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseDurationObsExpression-org.eclipse.papyrus.marte.vsl.vSL.DurationObsExpression-">caseDurationObsExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Duration Obs Expression</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseDurationObsName-org.eclipse.papyrus.marte.vsl.vSL.DurationObsName-">caseDurationObsName</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsName</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Duration Obs Name</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseEqualityExpression-org.eclipse.papyrus.marte.vsl.vSL.EqualityExpression-">caseEqualityExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/EqualityExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">EqualityExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Equality Expression</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseExpression-org.eclipse.papyrus.marte.vsl.vSL.Expression-">caseExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Expression</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseInstantObsExpression-org.eclipse.papyrus.marte.vsl.vSL.InstantObsExpression-">caseInstantObsExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Instant Obs Expression</em>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseInstantObsName-org.eclipse.papyrus.marte.vsl.vSL.InstantObsName-">caseInstantObsName</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsName</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Instant Obs Name</em>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseIntegerLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.IntegerLiteralRule-">caseIntegerLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/IntegerLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">IntegerLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Integer Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseInterval-org.eclipse.papyrus.marte.vsl.vSL.Interval-">caseInterval</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Interval</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Interval</em>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseJitterExp-org.eclipse.papyrus.marte.vsl.vSL.JitterExp-">caseJitterExp</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/JitterExp.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">JitterExp</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Jitter Exp</em>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseListOfValueNamePairs-org.eclipse.papyrus.marte.vsl.vSL.ListOfValueNamePairs-">caseListOfValueNamePairs</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValueNamePairs.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValueNamePairs</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>List Of Value Name Pairs</em>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseListOfValues-org.eclipse.papyrus.marte.vsl.vSL.ListOfValues-">caseListOfValues</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValues.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValues</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>List Of Values</em>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseLiteral-org.eclipse.papyrus.marte.vsl.vSL.Literal-">caseLiteral</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Literal.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Literal</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Literal</em>'.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseMultiplicativeExpression-org.eclipse.papyrus.marte.vsl.vSL.MultiplicativeExpression-">caseMultiplicativeExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/MultiplicativeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">MultiplicativeExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Multiplicative Expression</em>'.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseNameOrChoiceOrBehaviorCall-org.eclipse.papyrus.marte.vsl.vSL.NameOrChoiceOrBehaviorCall-">caseNameOrChoiceOrBehaviorCall</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NameOrChoiceOrBehaviorCall.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NameOrChoiceOrBehaviorCall</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Name Or Choice Or Behavior Call</em>'.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseNullLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.NullLiteralRule-">caseNullLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NullLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NullLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Null Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseNumberLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.NumberLiteralRule-">caseNumberLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NumberLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NumberLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Number Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseOperationCallExpression-org.eclipse.papyrus.marte.vsl.vSL.OperationCallExpression-">caseOperationCallExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/OperationCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">OperationCallExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Operation Call Expression</em>'.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#casePrimaryExpression-org.eclipse.papyrus.marte.vsl.vSL.PrimaryExpression-">casePrimaryExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PrimaryExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Primary Expression</em>'.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#casePropertyCallExpression-org.eclipse.papyrus.marte.vsl.vSL.PropertyCallExpression-">casePropertyCallExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PropertyCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PropertyCallExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Property Call Expression</em>'.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseQualifiedName-org.eclipse.papyrus.marte.vsl.vSL.QualifiedName-">caseQualifiedName</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/QualifiedName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">QualifiedName</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Qualified Name</em>'.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseRealLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.RealLiteralRule-">caseRealLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RealLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RealLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Real Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseRelationalExpression-org.eclipse.papyrus.marte.vsl.vSL.RelationalExpression-">caseRelationalExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RelationalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RelationalExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Relational Expression</em>'.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseStringLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.StringLiteralRule-">caseStringLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/StringLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">StringLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>String Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseSuffixExpression-org.eclipse.papyrus.marte.vsl.vSL.SuffixExpression-">caseSuffixExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/SuffixExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">SuffixExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Suffix Expression</em>'.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseTimeExpression-org.eclipse.papyrus.marte.vsl.vSL.TimeExpression-">caseTimeExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/TimeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">TimeExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Time Expression</em>'.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseTuple-org.eclipse.papyrus.marte.vsl.vSL.Tuple-">caseTuple</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Tuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Tuple</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Tuple</em>'.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseUnaryExpression-org.eclipse.papyrus.marte.vsl.vSL.UnaryExpression-">caseUnaryExpression</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnaryExpression</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Unary Expression</em>'.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseUnlimitedLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.UnlimitedLiteralRule-">caseUnlimitedLiteralRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnlimitedLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnlimitedLiteralRule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Unlimited Literal Rule</em>'.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseValueNamePair-org.eclipse.papyrus.marte.vsl.vSL.ValueNamePair-">caseValueNamePair</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueNamePair.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueNamePair</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Value Name Pair</em>'.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseValueSpecification-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">caseValueSpecification</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Value Specification</em>'.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseVariableDeclaration-org.eclipse.papyrus.marte.vsl.vSL.VariableDeclaration-">caseVariableDeclaration</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VariableDeclaration.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VariableDeclaration</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Variable Declaration</em>'.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#defaultCase-org.eclipse.emf.ecore.EObject-">defaultCase</a></span>(org.eclipse.emf.ecore.EObject&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#doSwitch-int-org.eclipse.emf.ecore.EObject-">doSwitch</a></span>(int&nbsp;classifierID,
        org.eclipse.emf.ecore.EObject&nbsp;theEObject)</code>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#isSwitchFor-org.eclipse.emf.ecore.EPackage-">isSwitchFor</a></span>(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</code>
<div class="block">Checks whether this is a switch for the given package.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.util.Switch">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.util.Switch</h3>
<code>doSwitch, doSwitch</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="modelPackage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>modelPackage</h4>
<pre>protected static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLPackage</a> modelPackage</pre>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="VSLSwitch--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VSLSwitch</h4>
<pre>public&nbsp;VSLSwitch()</pre>
<div class="block">Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isSwitchFor-org.eclipse.emf.ecore.EPackage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSwitchFor</h4>
<pre>protected&nbsp;boolean&nbsp;isSwitchFor(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</pre>
<div class="block">Checks whether this is a switch for the given package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSwitchFor</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this is a switch for the given package.</dd>
</dl>
</li>
</ul>
<a name="doSwitch-int-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSwitch</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;doSwitch(int&nbsp;classifierID,
                     org.eclipse.emf.ecore.EObject&nbsp;theEObject)</pre>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>doSwitch</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first non-null result returned by a <code>caseXXX</code> call.</dd>
</dl>
</li>
</ul>
<a name="caseExpression-org.eclipse.papyrus.marte.vsl.vSL.Expression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseAndOrXorExpression-org.eclipse.papyrus.marte.vsl.vSL.AndOrXorExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseAndOrXorExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseAndOrXorExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AndOrXorExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AndOrXorExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>And Or Xor Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>And Or Xor Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseEqualityExpression-org.eclipse.papyrus.marte.vsl.vSL.EqualityExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseEqualityExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseEqualityExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/EqualityExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">EqualityExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Equality Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Equality Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseRelationalExpression-org.eclipse.papyrus.marte.vsl.vSL.RelationalExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseRelationalExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseRelationalExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RelationalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RelationalExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Relational Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Relational Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseConditionalExpression-org.eclipse.papyrus.marte.vsl.vSL.ConditionalExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseConditionalExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseConditionalExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ConditionalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ConditionalExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Conditional Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Conditional Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseAdditiveExpression-org.eclipse.papyrus.marte.vsl.vSL.AdditiveExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseAdditiveExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseAdditiveExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AdditiveExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AdditiveExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Additive Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Additive Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseMultiplicativeExpression-org.eclipse.papyrus.marte.vsl.vSL.MultiplicativeExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseMultiplicativeExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseMultiplicativeExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/MultiplicativeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">MultiplicativeExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Multiplicative Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Multiplicative Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseUnaryExpression-org.eclipse.papyrus.marte.vsl.vSL.UnaryExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseUnaryExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseUnaryExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnaryExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Unary Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Unary Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="casePrimaryExpression-org.eclipse.papyrus.marte.vsl.vSL.PrimaryExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>casePrimaryExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;casePrimaryExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PrimaryExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Primary Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Primary Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseValueSpecification-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseValueSpecification</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseValueSpecification(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Value Specification</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Value Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseSuffixExpression-org.eclipse.papyrus.marte.vsl.vSL.SuffixExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseSuffixExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseSuffixExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/SuffixExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">SuffixExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Suffix Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Suffix Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="casePropertyCallExpression-org.eclipse.papyrus.marte.vsl.vSL.PropertyCallExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>casePropertyCallExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;casePropertyCallExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PropertyCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PropertyCallExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Property Call Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Property Call Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseOperationCallExpression-org.eclipse.papyrus.marte.vsl.vSL.OperationCallExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseOperationCallExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseOperationCallExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/OperationCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">OperationCallExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Operation Call Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Operation Call Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseLiteral-org.eclipse.papyrus.marte.vsl.vSL.Literal-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseLiteral</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseLiteral(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Literal.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Literal</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Literal</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Literal</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseNameOrChoiceOrBehaviorCall-org.eclipse.papyrus.marte.vsl.vSL.NameOrChoiceOrBehaviorCall-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseNameOrChoiceOrBehaviorCall</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseNameOrChoiceOrBehaviorCall(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NameOrChoiceOrBehaviorCall.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NameOrChoiceOrBehaviorCall</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Name Or Choice Or Behavior Call</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Name Or Choice Or Behavior Call</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseQualifiedName-org.eclipse.papyrus.marte.vsl.vSL.QualifiedName-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseQualifiedName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseQualifiedName(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/QualifiedName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">QualifiedName</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Qualified Name</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Qualified Name</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseInterval-org.eclipse.papyrus.marte.vsl.vSL.Interval-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseInterval</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseInterval(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Interval</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Interval</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Interval</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseCollectionOrTuple-org.eclipse.papyrus.marte.vsl.vSL.CollectionOrTuple-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseCollectionOrTuple</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseCollectionOrTuple(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/CollectionOrTuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">CollectionOrTuple</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Collection Or Tuple</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Collection Or Tuple</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTuple-org.eclipse.papyrus.marte.vsl.vSL.Tuple-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTuple</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseTuple(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Tuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Tuple</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Tuple</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Tuple</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseListOfValues-org.eclipse.papyrus.marte.vsl.vSL.ListOfValues-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseListOfValues</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseListOfValues(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValues.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValues</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>List Of Values</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>List Of Values</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseListOfValueNamePairs-org.eclipse.papyrus.marte.vsl.vSL.ListOfValueNamePairs-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseListOfValueNamePairs</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseListOfValueNamePairs(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValueNamePairs.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValueNamePairs</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>List Of Value Name Pairs</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>List Of Value Name Pairs</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseValueNamePair-org.eclipse.papyrus.marte.vsl.vSL.ValueNamePair-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseValueNamePair</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseValueNamePair(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueNamePair.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueNamePair</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Value Name Pair</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Value Name Pair</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimeExpression-org.eclipse.papyrus.marte.vsl.vSL.TimeExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimeExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseTimeExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/TimeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">TimeExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Time Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Time Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseInstantObsExpression-org.eclipse.papyrus.marte.vsl.vSL.InstantObsExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseInstantObsExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseInstantObsExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Instant Obs Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Instant Obs Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseInstantObsName-org.eclipse.papyrus.marte.vsl.vSL.InstantObsName-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseInstantObsName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseInstantObsName(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsName</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Instant Obs Name</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Instant Obs Name</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDurationObsExpression-org.eclipse.papyrus.marte.vsl.vSL.DurationObsExpression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDurationObsExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseDurationObsExpression(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsExpression</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Duration Obs Expression</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Duration Obs Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDurationObsName-org.eclipse.papyrus.marte.vsl.vSL.DurationObsName-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDurationObsName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseDurationObsName(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsName</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Duration Obs Name</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Duration Obs Name</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseJitterExp-org.eclipse.papyrus.marte.vsl.vSL.JitterExp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseJitterExp</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseJitterExp(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/JitterExp.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">JitterExp</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Jitter Exp</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Jitter Exp</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseVariableDeclaration-org.eclipse.papyrus.marte.vsl.vSL.VariableDeclaration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseVariableDeclaration</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseVariableDeclaration(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VariableDeclaration.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VariableDeclaration</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Variable Declaration</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Variable Declaration</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDataTypeName-org.eclipse.papyrus.marte.vsl.vSL.DataTypeName-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDataTypeName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseDataTypeName(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DataTypeName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DataTypeName</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Data Type Name</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Data Type Name</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseNumberLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.NumberLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseNumberLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseNumberLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NumberLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NumberLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Number Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Number Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseIntegerLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.IntegerLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseIntegerLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseIntegerLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/IntegerLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">IntegerLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Integer Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Integer Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseUnlimitedLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.UnlimitedLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseUnlimitedLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseUnlimitedLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnlimitedLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnlimitedLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Unlimited Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Unlimited Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseRealLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.RealLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseRealLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseRealLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RealLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RealLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Real Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Real Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDateTimeLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.DateTimeLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDateTimeLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseDateTimeLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DateTimeLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DateTimeLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Date Time Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Date Time Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseBooleanLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.BooleanLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseBooleanLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseBooleanLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/BooleanLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">BooleanLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Boolean Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Boolean Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseNullLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.NullLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseNullLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseNullLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NullLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NullLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Null Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Null Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDefaultLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.DefaultLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDefaultLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseDefaultLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DefaultLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DefaultLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Default Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Default Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseStringLiteralRule-org.eclipse.papyrus.marte.vsl.vSL.StringLiteralRule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseStringLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;caseStringLiteralRule(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/StringLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">StringLiteralRule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>String Literal Rule</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>String Literal Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="defaultCase-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>defaultCase</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&nbsp;defaultCase(org.eclipse.emf.ecore.EObject&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>defaultCase</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>EObject</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Switch.doSwitch(org.eclipse.emf.ecore.EObject)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VSLSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLResourceImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLXMLProcessor.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" target="_top">Frames</a></li>
<li><a href="VSLSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
